package com.hzya.frame.plugin.lets.dao.impl;

import cn.hutool.core.lang.Assert;
import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.plugin.lets.dao.IPoOrderDao;
import com.hzya.frame.plugin.lets.entity.PoOrderEntity;

/**
 * (PoOrder)表数据库访问层
 *
 * @author makejava
 * @since 2023-08-25 08:52:02
 */
//@Repository("PoOrderDaoImpl")
public class PoOrderDaoImpl extends MybatisGenericDao<PoOrderEntity, String> implements IPoOrderDao {
    @DS("sowow_sqlserver_test")
    @Override
    public void updateVdef20(PoOrderEntity poOrderEntity) throws Exception {
        Assert.notNull(poOrderEntity, "poOrderEntity不能为空");
        Assert.notNull(poOrderEntity.getCorderid(), "主键不能为空");
        Assert.notNull(poOrderEntity.getVdef20(), "采购订单号不能为空");

        update("com.hzya.frame.plugin.lets.dao.impl.PoOrderDaoImpl.updateVdef20", poOrderEntity);
    }
}